Skip to main content
GET
/
sites
List sites
curl --request GET \
  --url https://api.surefeedback.com/api/v1/sites \
  --header 'X-API-Key: <api-key>'
{
  "success": true,
  "data": [
    {
      "id": "880e8400-e29b-41d4-a716-446655440003",
      "name": "Main Website",
      "domain": "example.com",
      "api_token": "sc_abc123...",
      "is_active": true,
      "project_id": "770e8400-e29b-41d4-a716-446655440002"
    }
  ]
}
Returns all sites accessible to the authenticated user within the active (or specified) project.
Requires authentication via X-API-Key: sf_your_api_key_here.

Query parameters

project_id
string
UUID of the project. Defaults to the user’s active_project_id.
{
  "success": true,
  "data": [
    {
      "id": "880e8400-e29b-41d4-a716-446655440003",
      "name": "Main Website",
      "domain": "example.com",
      "api_token": "sc_abc123...",
      "is_active": true,
      "project_id": "770e8400-e29b-41d4-a716-446655440002"
    }
  ]
}